www/p5-HTTP-Lite - The NetBSD Packages Collection

Lightweight HTTP client implementation

HTTP::Lite is a stand-alone lightweight HTTP/1.1 implementation
for perl.  It is not intended as a replacement for the fully-features
LWP module.  Instead, it is intended for use in situations where
it is desirable to install the minimal number of modules to achieve
HTTP support, or where LWP is not a good candidate due to CPU
overhead, such as slower processors.  HTTP::Lite is also significantly
faster than LWP.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Available binary packages

aarch64:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
aarch64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
aarch64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
alpha:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
alpha:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
earmv6hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
earmv6hf:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
earmv6hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
earmv6hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 8.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 8.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
earmv7hf:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
i386:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 8.0)
i386:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
i386:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
i386:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
i386:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
i386:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
mips64eb:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
powerpc:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
powerpc:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
powerpc:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
powerpc:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
sparc64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
sparc64:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
sparc64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
sparc:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
x86_64:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 8.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 8.0)
x86_64:p5-HTTP-Lite-2.4.4nb4.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)
x86_64:p5-HTTP-Lite-2.4.4nb5.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]